|  | Home · All Classes · All Functions · Overviews

# Obsolete Members for QDirectPainter

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QDirectPainter class reference

## Static Public Members

QRegion | region () `(obsolete)`
QRegion | reserveRegion ( const QRegion & region ) `(obsolete)`
QRegion | reservedRegion () `(obsolete)`

## Member Function Documentation

### QRegion QDirectPainter::region () `[static]`

Use QDirectPainter::allocatedRegion() instead.

See also setRegion().

### QRegion QDirectPainter::reserveRegion ( const QRegion & region ) `[static]`

Attempts to reserve the region and returns the region that is actually reserved.

This function also releases the previously reserved region if any. If not released explicitly, the region will be released on application exit.

Construct a QDirectPainter using QDirectPainter::ReservedSynchronous instead.

See also allocatedRegion() and Static Allocation.

### QRegion QDirectPainter::reservedRegion () `[static]`

Returns the reserved region.

Use allocatedRegion() instead.

This function was introduced in Qt 4.2.

See also reserveRegion() and frameBuffer().